#!/bin/bash

source env.sh

myip=`ip route get 8.8.8.8 | awk 'NR==1 {print $NF}'`

# Deal with broken Ubuntu package
sudo apt-get install -y slpd || sudo sh -c "mv /etc/init.d/slpd /tmp; apt-get install -y slpd; mv /tmp/slpd /etc/init.d/"
sudo service slpd start

slptool register service:symphony-master:ssh://${myip}:22

while [ 1 ]; do
  echo "Worker poll"
  slptool findsrvs service:symphony-worker | curl -X POST -d @- http://localhost:80/slp
  echo "Waiting"
  sleep 60
done
