#!/bin/bash

source env.sh

sudo useradd -s /bin/bash -m worker
sudo install -o worker -m 700 -d ~worker/.ssh
sudo install -o worker -m 600 ./key.pub ~worker/.ssh/authorized_keys

myip=`ip route get 8.8.8.8 | awk 'NR==1 {print $NF}'`

# Deal with broken Ubuntu package
sudo apt-get install -y slpd || sudo sh -c "mv /etc/init.d/slpd /tmp; apt-get install -y slpd; mv /tmp/slpd /etc/init.d/"
sudo service slpd start

slptool register service:symphony-worker:ssh://worker@${myip}:22
